Notus API
Liquidity pools

Estimate Future Position APR

Estimates APR for a future Uniswap V3 position using provided amounts, prices, and pool/range inputs.

POST
/api/v1/liquidity/estimate-apr

Authorization

x-api-key
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/liquidity/estimate-apr" \  -H "Content-Type: application/json" \  -d '{    "chainId": 42161,    "token0": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",    "token1": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",    "token0Amount": "10.5",    "token1Amount": "2500",    "poolFeePercent": 0.3,    "minPrice": 83475.12,    "maxPrice": 102300.5  }'
{  "estimatedApr": "12.34"}